Bug 501834 - hplip hp-sendfax PyQt combination is broken
hplip hp-sendfax PyQt combination is broken
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hplip3 (Show other bugs)
5.4
All Linux
high Severity medium
: rc
: ---
Assigned To: Tim Waugh
qe-baseos-daemons
:
: 675946 (view as bug list)
Depends On: 506645 839608
Blocks: 502912 743405 807971
  Show dependency treegraph
 
Reported: 2009-05-20 18:21 EDT by ritz
Modified: 2013-01-08 00:12 EST (History)
6 users (show)

See Also:
Fixed In Version: hplip3-3.9.8-15.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 233692
Environment:
Last Closed: 2013-01-08 00:12:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0133 normal SHIPPED_LIVE Low: hplip3 security and bug fix update 2013-01-08 04:44:58 EST

  None (edit)
Description ritz 2009-05-20 18:21:12 EDT
+++ This bug was initially created as a clone of Bug #233692 +++

Description of problem:
 it just hangs there with the progress bar pulsating and saying "Processing fax file". last thing seen in log is 

ob-id=0\nretry-timeout=0\n'
hp-sendfax[8053]: debug: (xmit) Sending data on channel (12)
hp-sendfax[8053]: debug: 'msg=querystring\nstring-id=1000\n'
hp-sendfax[8053]: debug: (xmit) Reading data on channel (12)
hp-sendfax[8053]: debug: 'msg=querystringresult\nresult-code=0\nencoding=none\nlength=20\ndata:\nThe printer is idle.'
hp-sendfax[8053]: debug: {'dev-file': '', 'fax-uri': 'hpfax:/net/HP_Color_LaserJet_2840?ip=10.40.0.98', 'scan-uri': 'hpaio:/net/HP_Color_LaserJet_2840?ip=10.40.0.98', 'duplexer': 1, 'is-hp': True, '3bit-status-name': 'NoFault', 'host': '10.40.0.98', 'status-desc': 'The printer is idle.', 'cups-printer': 'HP_Color_LaserJet_2840_fax', 'serial': 'CNFN64LGDL', 'error-state': 0, 'device-state': 1, 'panel': 0, 'in-tray2': 1, 'device-uri': 'hpfax:/net/HP_Color_LaserJet_2840?ip=10.40.0.98', 'photo-tray': 0, 'panel-line1': '', 'panel-line2': '', 'back-end': 'hpfax', 'top-door': 4, 'port': 1, 'in-tray1': 1, 'deviceid': 'MFG:Hewlett-Packard;CMD:PJL,PML,MLC,PCL,POSTSCRIPT,PCLXL;MDL:HP Color LaserJet 2840;CLS:PRINTER;DES:Hewlett-Packard Color LaserJet 2840;MEM:MEM=192MB;1284.4DL:4d,4e,1;COMMENT:RES=600x2;', 'cups-uri': 'hp:/net/HP_Color_LaserJet_2840?ip=10.40.0.98', '3bit-status-code': 8, 'supply-door': 1, 'status-code': 1000, 'media-path': 1, 'revision': 254}
hp-sendfax[8053]: debug: Closing device...
hp-sendfax[8053]: debug: Closing HP-MESSAGE channel...
hp-sendfax[8053]: debug: (xmit) Sending data on channel (11)
hp-sendfax[8053]: debug: 'msg=channelclose\ndevice-id=1\nchannel-id=1\n'
hp-sendfax[8053]: debug: (xmit) Reading data on channel (11)
hp-sendfax[8053]: debug: 'msg=ChannelCloseResult\nresult-code=0\n'
hp-sendfax[8053]: debug: (xmit) Sending data on channel (11)
hp-sendfax[8053]: debug: 'msg=deviceclose\ndevice-id=1\n'
hp-sendfax[8053]: debug: (xmit) Reading data on channel (11)
hp-sendfax[8053]: debug: 'msg=DeviceCloseResult\nresult-code=0\n'
hp-sendfax[8053]: debug: text/plain
hp-sendfax[8053]: debug: Adding file: title='/home/ojw-local/test.txt' file=/home/ojw-local/test.txt mime_type=text/plain mime_desc=Plain Text)
hp-sendfax[8053]: debug: Printer state = 3
hp-sendfax[8053]: debug: Job ID=428

Version-Release number of selected component (if applicable):
hplip-1.6.7-4.1.el5_2.4-x86_64

How reproducible:
Always


Steps to Reproduce:
1) Start hp-sendfax in debug mode:
HPLIP_DEBUG=1 hp-sendfax & 2>&1 > hp-sendfax.debug.out
2) Select any file to be faxed using the Browse button
3) Click on the "Add File" button

Additional information:
It seems that this bug is probably the same as: 
https://launchpad.net/ubuntu/+source/python-qt3/+bug/66830

another ref:
http://permalink.gmane.org/gmane.comp.printing.hplip.devel/247

Using hplip 1.7.1 helps resolve the issue. I would suggest an upgrade to 1.7.1.
Comment 1 Tim Waugh 2009-06-10 07:46:06 EDT
Does 'hp-sendfax -n' work?
Comment 2 Oli Wade 2009-06-10 08:01:46 EDT
Diagnostics done so far are available in support case #1907598, but please let me know if there is anything else you'd like me to try :-)
Comment 6 Oli Wade 2009-08-21 06:11:33 EDT
With 1.7.1 the non-interactive mode works as expected:
====
[ojw-local@nyx ~]$ hp-sendfax -dhpfax:/net/HP_Color_LaserJet_2840?ip=10.40.0.98 -n -f01223225369 test.txt



HP Linux Imaging and Printing System (ver. 1.7.1)
PC Sendfax Utility ver. 5.0

Copyright (c) 2003-6 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Using printer HP_Color_LaserJet_2840_fax (hpfax:/net/HP_Color_LaserJet_2840?ip=10.40.0.98)

Rendering file '/home/ojw-local/test.txt' (job 519)...

Transfering fax data...

Sending fax...
/
Dialing 01223225369...
\
Sending page 1 to 01223225369...
/
Cleaning up...
-
Completed successfully.
 
Done.
====
Comment 7 Oli Wade 2009-08-21 06:13:20 EDT
With 1.6.7 it does not work:
====
[ojw-local@nyx ~]$ hp-sendfax -dhpfax:/net/HP_Color_LaserJet_2840?ip=10.40.0.98 -n -f01223225369 test.txt

HP Linux Imaging and Printing System (ver. 1.6.7)
PC Sendfax Utility ver. 4.0

Copyright (c) 2003-6 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Using printer None (hpfax:/net/HP_Color_LaserJet_2840?ip=10.40.0.98)
error: The CUPS queue for 'None' is in a stopped or busy state. Please check the queue and try again.
====
[ojw-local@nyx ~]$ hp-sendfax -pHP_Color_LaserJet_2840_fax -n -f01223225369 test.txt

HP Linux Imaging and Printing System (ver. 1.6.7)
PC Sendfax Utility ver. 4.0

Copyright (c) 2003-6 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Using printer HP_Color_LaserJet_2840_fax (None)
|Traceback (most recent call last):
  File "/usr/bin/hp-sendfax", line 631, in ?
    fields, data, result_code = msg.recvMessage(hpssd_sock) 
  File "/usr/share/hplip/base/msg.py", line 229, in recvMessage
    raise Error(ERROR_INTERNAL)
base.g.Error: ('Unknown internal error', 99)
====
Comment 9 RHEL Product and Program Management 2009-11-06 13:48:19 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 12 Tim Waugh 2010-03-22 08:08:05 EDT
Fixing bug #506645 would fix this as a side-effect.
Comment 15 RHEL Product and Program Management 2011-01-11 15:56:25 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 16 RHEL Product and Program Management 2011-01-11 17:36:53 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.
Comment 17 RHEL Product and Program Management 2011-05-31 09:35:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 20 Tim Waugh 2011-08-12 07:33:27 EDT
Fixed component.
Comment 21 RHEL Product and Program Management 2011-09-22 20:16:11 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 25 RHEL Product and Program Management 2012-04-02 06:28:31 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 33 Ales Zelinka 2012-04-23 13:08:06 EDT
*** Bug 675946 has been marked as a duplicate of this bug. ***
Comment 53 errata-xmlrpc 2013-01-08 00:12:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0133.html

Note You need to log in before you can comment on or make changes to this bug.